| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
emc_001.c File Reference
`#include "emc_001.h"`

Go to the source code of this file.

## Macros
#define | EMC_DIV_ROUND_UP(x, y) ((x + y - 1) / y)

## Functions
static uint32_t | EMC_TimingParamConvert (uint32_t EMC_Clock, int32_t input_ns, uint32_t adjust)
static uint32_t | EMC_GetColsLen (uint32_t DynConfig)
void | IP_EMC_Dynamic_Init (IP_EMC_001_T *pEMC, IP_EMC_DYN_CONFIG_T *Dynamic_Config, uint32_t EMC_Clock)
| Initializes the Dynamic Controller.
void | IP_EMC_Dynamic_Enable (IP_EMC_001_T *pEMC, uint8_t Enable)
| Enable Dynamic Memory Controller.
void | IP_EMC_Static_Init (IP_EMC_001_T *pEMC, IP_EMC_STATIC_CONFIG_T *Static_Config, uint32_t EMC_Clock)
| Initializes the Static Controller according to the specified parameters in the IP_EMC_STATIC_CONFIG_T.
void | IP_EMC_Mirror (IP_EMC_001_T *pEMC, uint32_t Enable)
| Mirror CS1 to CS0 and DYCS0.
void | IP_EMC_Enable (IP_EMC_001_T *pEMC, uint32_t Enable)
| Enable EMC.
void | IP_EMC_LowPowerMode (IP_EMC_001_T *pEMC, uint32_t Enable)
| Set EMC LowPower Mode.
void | IP_EMC_Init (IP_EMC_001_T *pEMC, uint32_t Enable, uint32_t ClockRatio, uint32_t EndianMode)
| Initialize EMC.
void | IP_EMC_SetStaticExtendedWait (IP_EMC_001_T *pEMC, uint32_t Wait16Clks)
| Set Static Memory Extended Wait in Clock.

## Macro Definition Documentation

#define EMC_DIV_ROUND_UP | ( |  | x,
|  |  | y
| ) |  | ((x + y - 1) / y)

Definition at line 47 of file emc_001.c.

## Function Documentation

static uint32_t EMC_GetColsLen | ( | uint32_t | DynConfig | ) |
| static

Definition at line 84 of file emc_001.c.

static uint32_t EMC_TimingParamConvert | ( | uint32_t | EMC_Clock,
|  | int32_t | input_ns,
|  | uint32_t | adjust
| ) |  |
| static

Definition at line 62 of file emc_001.c.